#include<bits/stdc++.h>
using namespace std;

int n;
struct Freelenser
{
    double a;
    double p;
};
bool compareTwoFree(Freelenser a, Freelenser b)
{
    if (a.p > b.p)
        return a.p > b.p;
}
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cin >> n;
    Freelenser a[n];
    cout<<setprecision(12);

    for(int i = 0; i < n; i++)
    {
        cin >> a[i].a >> a[i].p;
    }
    for(int i = 0; i < n; i++)
    {
        a[i].p = a[i].p / (double)100;
    }
    sort(a, a + n, compareTwoFree);
    double maxq = a[0].a * a[0].p;
    double temp = 0;
    for(int i = 1; i < n; i++)
    {
        for(int j = 0; j < i + 1; j++)
        {
            temp += a[j].a * a[i].p;
        }
        if(temp > maxq) maxq = temp;
        temp = 0;
    }
    cout << maxq;


}